#add_subdirectory( res )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/lib/compatibility/tdemdi/qextmdi/res
)

include_directories( SYSTEM
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

##### quantatdemdi (static)

tde_add_library( quantaqextmdi STATIC_PIC AUTOMOC

  SOURCES
        tdemdichildarea.cpp tdemdichildfrm.cpp
        tdemdichildfrmcaption.cpp tdemdichildview.cpp
        tdemdimainfrm.cpp tdemditaskbar.cpp
        tdemultitabbar.cpp tdemditoolviewaccessor.cpp
        tdemdidocumentviewtabwidget.cpp tdemdifocuslist.cpp
        tdemdiguiclient.cpp ktabwidget.cpp
        ktabbar.cpp kdockwidget.cpp
        kdockwidget_private.cpp tdemdidockcontainer.cpp
  LINK
      tdeparts-shared
)
